# Game of life
Game of life implementation in Rust with egui UI library.  
Compilable in WASM with trunk for Web embedding.  
<br>

### build and run
**native**  
Release mode with egui is really faster so you must run with:  
`cargo run --release`  

**wasm**  
Add wasm32 build target with:  
`rustup target add wasm32-unknown-unknown`  
Install trunk with:  
`cargo install trunk`  
Build with:  
`trunk build --release`  
You can now open the `index.html` file built in the `dist` folder in your browser to run the game.  
